Package org.h2.test.bench

# Class TestScalability

java.lang.Object
org.h2.test.bench.TestScalability

All Implemented Interfaces:
  `org.h2.test.bench.Database.DatabaseTest`

public class TestScalability extends Object implements org.h2.test.bench.Database.DatabaseTest
Used to compare scalability between the old engine and the new MVStore engine. Mostly it runs BenchB with various numbers of threads.

## Constructor Summary

Constructors
Constructor
Description
`TestScalability()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isCollect()`
Whether data needs to be collected.
`static void`
`main(String... args)`
This method is called when executing this sample application.
`void`
`trace(String s)`
Print a message to system out if trace is enabled.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2.test.bench.Database.DatabaseTest

`loadProperties`

## Constructor Details

### TestScalability

public TestScalability()

## Method Details

### main

public static void main(String... args) throws Exception
This method is called when executing this sample application.

Parameters:
  `args` - the command line parameters
Throws:
  `Exception`

### trace

public void trace(String s)
Print a message to system out if trace is enabled.

Specified by:
  `trace` in interface `org.h2.test.bench.Database.DatabaseTest`
Parameters:
  `s` - the message

### isCollect

public boolean isCollect()
Description copied from interface: `org.h2.test.bench.Database.DatabaseTest`
Whether data needs to be collected.

Specified by:
  `isCollect` in interface `org.h2.test.bench.Database.DatabaseTest`
Returns:
  true if yes